Bug 10012 - Remove all traces of NoZebraIndexes
Summary: Remove all traces of NoZebraIndexes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Galen Charlton
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 2778
  Show dependency treegraph
 
Reported: 2013-04-09 16:42 UTC by Katrin Fischer
Modified: 2015-06-04 23:30 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot (40.76 KB, image/png)
2013-04-09 16:42 UTC, Katrin Fischer
Details
Bug 10012: remove last traces of NoZebra (5.42 KB, patch)
2014-02-21 18:18 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 10012: remove last traces of NoZebra (5.46 KB, patch)
2014-02-21 18:46 UTC, Galen Charlton
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10012: remove last traces of NoZebra (5.51 KB, patch)
2014-02-26 18:35 UTC, wajasu
Details | Diff | Splinter Review
Bug 10012: remove last traces of NoZebra (5.56 KB, patch)
2014-03-12 13:36 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-04-09 16:42:27 UTC Comment hidden (obsolete)
Comment 1 Galen Charlton 2014-02-21 18:18:08 UTC Comment hidden (obsolete)
Comment 2 Galen Charlton 2014-02-21 18:46:21 UTC Comment hidden (obsolete)
Comment 3 wajasu 2014-02-26 18:35:03 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2014-03-12 13:29:33 UTC
Comment on attachment 17314 [details]
screenshot

Obsoleting a picture of MARC subfield structure admin for 245
Comment 5 Marcel de Rooy 2014-03-12 13:36:09 UTC
Created attachment 26175 [details] [review]
Bug 10012: remove last traces of NoZebra

This patch removes the last traces of NoZebra:

[1] The DBIC schema class for the nozebra table
[2] References to the NoZebra and NoZebraIndexes sysprefs
    in the Italian SQL scripts.
[3] Deleting the NoZebraIndexes syspref if it's still present.

To test:

[1] Verify that after applying the patch and running the DB upgrade,
    that "NoZebraIndexes" is no longer to be found in the
    systempreferences table.
[2] Verify that "nozebra" is not referenced anywhere in the source
    code except for the database update scripts.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: wajasu <matted-34813@mypacks.net>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Galen Charlton 2014-03-12 14:56:17 UTC
Pushed to master.
Comment 7 Fridolin SOMERS 2014-05-27 16:11:41 UTC
Pushed to 3.14.x, will be in 3.14.07